//给定一个整数数组 nums 和一个目标值 target,请你在该数组中找出和为目标值的那 两个 整数,并返回他们的数组下标。
//
// 你可以假设每种输入只会对应一个答案。但是,数组中同一个元素不能使用两遍。
//
//
//
// 示例:
//
// 给定 nums = [2, 7, 11, 15], target = 9
//
//因为 nums[0] + nums[1] = 2 + 7 = 9
//所以返回 [0, 1]
import java.util.HashMap;
import java.util.Map;
//leetcode submit region begin(Prohibit modification and deletion)
class Solution {
public int[] twoSum(int[] nums, int target) {
int[] returnInt = new int[2];
Map<Integer, Integer> map = new HashMap<>();
for (int i = 0; i < nums.length; i++) {
if (map.containsKey(nums[i])) {
returnInt[0] = map.get(nums[i]);
returnInt[1] = i;
return returnInt;
}
map.put(target - nums[i], i);
}
// for (int i = 0; i < nums.length; i++) {
// for (int j = 0; j < nums.length && j != i; j++) {
// if (target == nums[i] + nums[j]){
// return new int[]{i,j};
// }
// }
// }
return null;
}
}
//leetcode submit region end(Prohibit modification and deletion)